Skip to Content
veriom

Gate policy history

GET
/v1/workspaces/{workspace_id}/architecture-intent/gates/policies/{policy_id}/history

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
policy_id*Policy Id
Formatuuid

Query Parameters

cursor?string|null
limit?Limit
Range1 <= value <= 100
Default25

Response Body

Successful Response

application/json
  1. response
has_more?Has More
Defaultfalse
items*array<>
next_cursor?string|null
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture-intent/gates/policies/497f6eca-6276-4993-bfeb-53cbbbba6f08/history'
Example Response
{  "has_more": false,  "items": [    {      "actor_name": "string",      "created_at": "2019-08-24T14:15:22Z",      "reason": "string",      "revision": 0,      "state": {        "asset_classes": {          "property1": "crown_jewel",          "property2": "crown_jewel"        },        "content_sha256": "string",        "created_at": "2019-08-24T14:15:22Z",        "created_by_name": "string",        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "metrics": {          "false_negatives": 0,          "false_positives": 0,          "observed_precision": 0,          "passing_samples": 0,          "promotion_blockers": [            "string"          ],          "reviewed_samples": 0,          "true_positives": 0,          "unknown_samples": 0        },        "published_number": 0,        "revision": 0,        "rules": [          {            "decision_id": "string",            "key": "string",            "rule": {              "id": "string",              "predicates": [                {                  "allowed_source_keys": [                    "string"                  ],                  "attribute": "string",                  "expected": "string",                  "key": "string",                  "kind": "entity_present",                  "relationship_kinds": [                    "string"                  ],                  "required_sources": [                    "code"                  ]                }              ],              "title": "string"            },            "source": "invariant"          }        ],        "scope_key": "string",        "state": "shadow",        "target_precision": 0,        "target_title": "string",        "target_version_id": "8c1dbb08-33f5-4d58-8ec7-130ef36302b1",        "updated_at": "2019-08-24T14:15:22Z"      }    }  ],  "next_cursor": "string"}